%define name	leafnode
%define version	1.9.17
%define release	1mdk

Summary:	Leafnode - a leafsite NNTP server
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Copyright: 	artistic
Group: 		System/Servers
URL:		http://wpxx02.toxi.uni-wuerzburg.de/~krasel/leafnode.html
Source: 	ftp://wpxx02.toxi.uni-wuerzburg.de/pub/%{name}-%{version}.tar.bz2
Source1:	leafnode.texpire
Source2:	leafnode.filters
Patch:		leafnode-buildroot.patch.bz2
Conflicts:	inn
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	netkit-base

%description
Leafnode is a small NNTP server for leaf sites without permanent
connection to the internet. It supports a subset of NNTP and is able to
automatically fetch the newsgroups the user reads regularly from the
newsserver of the ISP.

%description -l de
Leafnode ist ein offline-Newsserver, der vor allem fr den typischen
Einzelnutzer-Rechner ohne permanente Internetanbindung geeignet ist.
Leafnode bezieht automatisch die Newsgroups, die der oder die Nutzer
regelmaessig lesen, vom Newsserver des Providers.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch
%build
%configure
make 

%install
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{cron.daily,leafnode}
%makeinstall INSTALLROOT=$RPM_BUILD_ROOT MANDIR=%{_mandir}
install -m 755 %SOURCE1 $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/texpire
install -m 600 $RPM_BUILD_ROOT%{_sysconfdir}/leafnode/config.example $RPM_BUILD_ROOT%{_sysconfdir}/leafnode/config
install -m 600 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/leafnode/filters

cp doc_german/README doc_german/README.de

# Install the german man pages
install -d $RPM_BUILD_ROOT%{_mandir}/de/man{1,8}
install -m 644 doc_german/man/man1/* $RPM_BUILD_ROOT%{_mandir}/de/man1
install -m 644 doc_german/man/man8/* $RPM_BUILD_ROOT%{_mandir}/de/man8

%pre
if [ -f %{_sysconfdir}/cron.daily/texpire.cron ] ; then
        rm -f %{_sysconfdir}/cron.daily/texpire.cron
fi

%post
if [ `grep leafnode %{_sysconfdir}/inetd.conf | wc -l` = 0 ] ; then
	echo "nntp	stream	tcp	nowait	news	/usr/sbin/tcpd	/usr/sbin/leafnode" >> %{_sysconfdir}/inetd.conf
fi
if [ -f /var/run/inetd.pid ] ; then
	kill -HUP `cat /var/run/inetd.pid` 2> /dev/null ||:
fi

%postun
if [ "$1" = "0" ]; then
	grep -v leafnode %{_sysconfdir}/inetd.conf | grep -v /bin/sh > %{_sysconfdir}/inetd.conf.new
	mv %{_sysconfdir}/inetd.conf.new %{_sysconfdir}/inetd.conf
fi
if [ -f /var/run/inetd.pid ] ; then
        kill -HUP `cat /var/run/inetd.pid` 2> /dev/null ||:
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (644,root,root,755)
%doc CHANGES COPYING CREDITS INSTALL README TODO tools/archivefaq.pl update.sh
%doc doc_german/README.de doc_german/txt/*
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/cron.daily/texpire
%attr (644,root,man) %{_mandir}/man1/*
%attr (644,root,man) %{_mandir}/man7/*
%attr (644,root,man) %{_mandir}/man8/*
%attr (644,root,man) %{_mandir}/de/man1/*
%attr (644,root,man) %{_mandir}/de/man8/*
%defattr (644,news,news,755)
%dir %{_sysconfdir}/leafnode
%attr(600,news,news) %config(noreplace) %{_sysconfdir}/leafnode/config
%attr(600,news,news) %config(noreplace) %{_sysconfdir}/leafnode/filters
%attr(750,news,news) %{_sbindir}/*
%attr(755,news,news) %{_bindir}/*
%dir /var/lock/news
%dir /var/spool/news
%dir /var/spool/news/*
%dir /var/spool/news/message.id/*

%changelog

* Fri Sep 08 2000 Florin Grad <florin@mandrakesoft.com> 1.9.17-1mdk
- new release

* Tue Aug 29 2000 Florin Grad <florin@mandrakesoft.com> 1.9.16-1mdk
- new release
- changing some macros

* Wed Aug 02 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.15-1mdk
- new release
- BM

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.14-1mdk
- fix build as root (Skwar sucks :-) )
- use new macros
- Alexander Skwar <ASkwar@DigitalProjects.com>
	* Upgraded to version 1.9.14
	* Used the german man pages from Alexander Stielau and Alexander Reinwarth

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 1.9.12-3mdk
- add require netkit-base

* Tue Apr  4 2000 Denis Havlik <denis@mandrakesoft.com> 1.9.12-2mdk
- changed permissions of /var* dirs to 755 (rpmlint!) 

* Thu Mar 30 2000 Denis Havlik <denis@mandrakesoft.com> 1.9.12-1mdk
- new Group (System/Servers)
- changed leafnode-buildroot.patch
- explicitely list attributes in %files section
- changed "Copyright:" to artistic

* Sat Feb  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.9.9-2mdk
- Chown to news.news some files.

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v1.9.9
- used srpm provided by Andre Steden <andre@steden.de>

* Tue Jan 18 2000 Andre Steden <andre@steden.de>
- build for mandrake-linux
- add leafnode-buildroot.patch
